## org.apache.catalina.ssi
Class SSIConditional

    java.lang.Object
      org.apache.catalina.ssi.SSIConditional

All Implemented Interfaces:
  SSICommand

public class SSIConditional
extends java.lang.Object
implements SSICommand

SSI command that handles all conditional directives.

Version:
  $Revision: 1.2 $
Author:
  Paul Speed

Constructor Summary
`SSIConditional()`

Method Summary
`void` `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIConditional

    public SSIConditional()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)
                 throws SSIStopProcessingException

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Throws:
    `SSIStopProcessingException` - if SSI processing should be aborted
  See Also:
    `SSICommand`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.